When attempting to install Microsoft Dynamics GP 2016 on Windows Server 2012 R2, you may encounter an issue where .NET 4.6 fails to install via the Prerequisite Installer.  When the failure occurs, you may see a generic "operation terminated", "bootstrap error occurred" or other similar error message.

To resolve the issue, a series of updates need to be applied to Windows Server 2012 R2 before .NET 4.6 can be installed.  Per the “Install Instructions” section at https://www.microsoft.com/en-us/download/details.aspx?id=42334 :

“2.These KB's must be installed in the following order: clearcompressionflag.exe, KB2919355, KB2932046, KB2959977, KB2937592, KB2938439, and KB2934018.

3.KB2919442 is a prerequisite for Windows Server 2012 R2 Update and should be installed before attempting to install KB2919355”

So the full order of installation is:

clearcompressionflag.exe, KB2919442, KB2919355, KB2932046, KB2959977, KB2937592, KB2938439, and KB2934018.

Note that KB 2919442 is not included at the above link.  For convenience, here is the link to download KB 2919442:

https://www.microsoft.com/en-us/download/details.aspx?id=42153